Bug 1037006 - bvi FTBFS if "-Werror=format-security" flag is used
Summary: bvi FTBFS if "-Werror=format-security" flag is used
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bvi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthieu Saulnier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1038083
TreeView+ depends on / blocked
 
Reported: 2013-12-03 02:54 UTC by Dhiru Kholia
Modified: 2014-03-25 03:44 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-01-05 06:02:46 UTC


Attachments (Terms of Use)
FTBFS fix (241 bytes, patch)
2013-12-12 13:47 UTC, Dhiru Kholia
no flags Details | Diff
fixed .spec file (2.80 KB, text/x-rpm-spec)
2013-12-12 13:48 UTC, Dhiru Kholia
no flags Details

Description Dhiru Kholia 2013-12-03 02:54:19 UTC
Description of problem
----------------------

bvi fails to build if "-Werror=format-security" flag is used.

...

bmore.c:934:2: error: format not a string literal and no format arguments [-Werror=format-security]

...

We are working on a proposal to enable "-Werror=format-security" for all
packages. Once this flag is enabled, GCC will refuse to compile code that could
be vulnerable to a string format security flaw. For more details, please see
https://fedorahosted.org/fesco/ticket/1185 page.

To understand why it is important to fix this, please see
https://fedoraproject.org/wiki/Format-Security-FAQ page.

How to fix this
---------------

The fix for these errors is quite simple. It's a matter of changing a
line like,

   printf(foo);

to read,

   printf("%s", foo);

That's it.

Please fix this issue in rawhide with a patch (which you should submit
to upstream to merge moving forward). Please do a new build with the
fix in rawhide. Other releases do not need to be directly fixed, but
there should be no harm in pushing out this fix/patch with other needed
changes to those branches.

In the event you don't fix this bug before the next mass rebuild,
provenpackagers may step in and update your package(s) to fix this
issue.

How reproducible
----------------

Build bvi-1.3.2-10.fc20.src.rpm with "-Werror=format-security" flag to reproduce the problem.

To make this process easier, you can use a modified "redhat-rpm-config" package
from http://people.fedoraproject.org/~halfie/artifacts/redhat-rpm-config/ URL.

$ sha256sum redhat-rpm-config-9.1.0-56.fc20.*
faad7594b2080fe76497d0ce50808c905a93dd7b41c1defdde5ca57e3833d3d2  redhat-rpm-config-9.1.0-56.fc20.noarch.rpm
5aa9357174305c7285ffdbc92d7ffe1c07a8a95d5459b930461308f5aad75413  redhat-rpm-config-9.1.0-56.fc20.src.rpm

Comment 1 Dhiru Kholia 2013-12-12 13:47:42 UTC
Created attachment 835805 [details]
FTBFS fix

Comment 2 Dhiru Kholia 2013-12-12 13:48:01 UTC
Created attachment 835806 [details]
fixed .spec file

Comment 3 Fedora Update System 2013-12-26 17:44:23 UTC
bvi-1.4.0beta-0.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bvi-1.4.0beta-0.1.fc19

Comment 4 Fedora Update System 2013-12-26 17:46:23 UTC
bvi-1.4.0beta-0.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bvi-1.4.0beta-0.1.fc20

Comment 5 Fedora Update System 2013-12-26 20:29:33 UTC
bvi-1.4.0beta-0.1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bvi-1.4.0beta-0.1.el6

Comment 6 Fedora Update System 2013-12-27 22:14:12 UTC
Package bvi-1.4.0beta-0.1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bvi-1.4.0beta-0.1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12481/bvi-1.4.0beta-0.1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-01-05 06:02:46 UTC
bvi-1.4.0beta-0.1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-05 06:03:31 UTC
bvi-1.4.0beta-0.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-01-12 19:19:38 UTC
bvi-1.4.0beta-0.1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.